OutcomesProperties (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.portlets.user.client.prop
Interface OutcomesProperties

All Superinterfaces:
  com.sencha.gxt.data.shared.PropertyAccess<Outcomes>

    public interface OutcomesProperties

extends com.sencha.gxt.data.shared.PropertyAccess<Outcomes>

Method Summary
`com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `destination()`
`com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `exception()`
`com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `failure()`
`com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `fileName()`
`com.sencha.gxt.data.shared.ModelKeyProvider<Outcomes>` | `key()`
`com.sencha.gxt.data.shared.LabelProvider<Outcomes>` | `nameLabel()`
`com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `size()`
`com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `success()`
`com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `totalMessage()`
`com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `transferredBytes()`
`com.sencha.gxt.core.client.ValueProvider<Outcomes,String>` | `transferTime()`

Method Detail

### key

    @Editor.Path(value="id")
    com.sencha.gxt.data.shared.ModelKeyProvider<Outcomes> key()

### nameLabel

    @Editor.Path(value="fileName")
    com.sencha.gxt.data.shared.LabelProvider<Outcomes> nameLabel()

### fileName

    com.sencha.gxt.core.client.ValueProvider<Outcomes,String> fileName()

### destination

    com.sencha.gxt.core.client.ValueProvider<Outcomes,String> destination()

### success

    com.sencha.gxt.core.client.ValueProvider<Outcomes,String> success()

### failure

    com.sencha.gxt.core.client.ValueProvider<Outcomes,String> failure()

### transferTime

    com.sencha.gxt.core.client.ValueProvider<Outcomes,String> transferTime()

### size

    com.sencha.gxt.core.client.ValueProvider<Outcomes,String> size()

### transferredBytes

    com.sencha.gxt.core.client.ValueProvider<Outcomes,String> transferredBytes()

### exception

    com.sencha.gxt.core.client.ValueProvider<Outcomes,String> exception()

### totalMessage

    com.sencha.gxt.core.client.ValueProvider<Outcomes,String> totalMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.